POST api/MedicalExamDashBoard/GetDashboardGroupTestingIntakeBeginExam/search
Request Information
URI Parameters
None.
Body Parameters
QueryParameter| Name | Description | Type | Additional information |
|---|---|---|---|
| PageNum | integer |
None. |
|
| PageSize | integer |
None. |
|
| Sort | Sort |
None. |
|
| Sorts | Collection of Sort |
None. |
|
| Filters | Collection of Filter |
None. |
|
| extends | Dictionary of string [key] and Object [value] |
None. |
Request Formats
application/json, text/json
Sample:
{
"PageNum": 1,
"PageSize": 2,
"Sort": {
"Field": "sample string 1",
"Dir": "sample string 2"
},
"Sorts": [
{
"Field": "sample string 1",
"Dir": "sample string 2"
},
{
"Field": "sample string 1",
"Dir": "sample string 2"
}
],
"Filters": [
{
"Field": "sample string 1",
"Operator": "sample string 2",
"Value": {},
"Logic": "sample string 4",
"Filters": []
},
{
"Field": "sample string 1",
"Operator": "sample string 2",
"Value": {},
"Logic": "sample string 4",
"Filters": []
}
],
"extends": {
"sample string 1": {},
"sample string 3": {}
}
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfListOfMeDashboardIntakeBeginGroupDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of MeDashboardIntakeBeginGroupDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"CompanyCode": "sample string 1",
"companyName": "sample string 2",
"workLocationCode": "sample string 3",
"WLName": "sample string 4",
"IntakeBeginGroupExpiresin90days": 1,
"IntakeBeginGroupExpiresin60days": 1,
"IntakeBeginGroupExpiresin45days": 1,
"IntakeBeginGroupExpiresin30days": 1,
"IntakeBeginGroupExpiresinTotalCount": 1
},
{
"CompanyCode": "sample string 1",
"companyName": "sample string 2",
"workLocationCode": "sample string 3",
"WLName": "sample string 4",
"IntakeBeginGroupExpiresin90days": 1,
"IntakeBeginGroupExpiresin60days": 1,
"IntakeBeginGroupExpiresin45days": 1,
"IntakeBeginGroupExpiresin30days": 1,
"IntakeBeginGroupExpiresinTotalCount": 1
}
],
"totalCount": 3
}